% MATGEOM Geometric Computing Toolbox
% Version 1.0 21-Mar-2011 .
%
%   MatGeom Provides low-level functions for geometric computing. It is
%   possible to create, display, compute intersections... of various
%   geometrical primitives, in 2D and 3D.
%
%   The library is organized into several modules:
%   geom2d              - General function in euclidean plane
%   polygons2d          - Functions operating on point lists 
%   graphs              - Manipulation of geometric graphs
%   polynomialCurves2d  - Representation of smooth polynomial curves
%   geom3d              - General function in 3D euclidean space
%   meshes3d            - Manipulation of 3D surfacic meshes
%
%   Type 'help(MODULENAME)' for further info.
%
%   To install the library, with all sub-directories, run the script
%   'setupMatGeom'.
%
%   More information on the project homepage:
%   http://matgeom.sourceforge.net/
%
%   Online documentation:
%   http://matgeom.sourceforge.net/doc/api/matgeom/index.html
%   
% ------
% Author: David Legland
% e-mail: david.legland@grignon.inra.fr
% Created: 2011-03-21,    using Matlab 7.9.0.529 (R2009b)
% Project homepage: http://matgeom.sourceforge.net/
% http://www.pfl-cepia.inra.fr/index.php?page=geom3d
% Copyright 2011 INRA - Cepia Software Platform.

help(mfilename);
